//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop
//---------------------------------------------------------------------------
USEFORM("lebcb_1a.cpp", LEditForm);
USERES("lebcb_1.res");
USEFORM("lebcb_1b.cpp", BookmarkNumberForm);
USEFORM("lebcb_1c.cpp", HeaderFooterForm);
USEFORM("lebcb_1d.cpp", WWWidthForm);
USEFORM("lebcb_1e.cpp", WWRMarginForm);
USEFORM("lebcb_1f.cpp", CaretWidthForm);
USEFORM("lebcb_1z.cpp", LEExAboutBox);
USELIB("Ledit32b.lib");
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
	try
	{
		Application->Initialize();
		Application->CreateForm(__classid(TLEditForm), &LEditForm);
		Application->CreateForm(__classid(TBookmarkNumberForm), &BookmarkNumberForm);
		Application->CreateForm(__classid(THeaderFooterForm), &HeaderFooterForm);
		Application->CreateForm(__classid(TWWWidthForm), &WWWidthForm);
		Application->CreateForm(__classid(TWWRMarginForm), &WWRMarginForm);
		Application->CreateForm(__classid(TCaretWidthForm), &CaretWidthForm);
		Application->CreateForm(__classid(TLEExAboutBox), &LEExAboutBox);
		Application->Run();
	}
	catch (Exception &exception)
	{
		Application->ShowException(&exception);
	}
	return 0;
}
//---------------------------------------------------------------------------
